Subject: RE: [Enum] The Matrix

From: "Zmolek, Andrew (Andrew)" <[email-masked]>
Date: Fri, 31 May 2002 12:37:21 -0600

Richard Stastny wrote:
> So the vertical approach comes in:
> Use the already proposed URI - service combinations eg 
> telvoice, sipvoice, etc.. The grouping could be done
> within the client itself for display. Since the 
> services are defined explicitely, not all services need 
> to be defined on the first run, and they can be defined
> consistently.

This so-called 'vertical approach' is really a row-by-row combination of row elements, not a pure vertical approach which would list only the rows themselves.

The vertical approach was:

 'talk' or 'voice' or something, 
 'enquire' or 'query' or something,
 'deliver' or 'message' or some such
 'chat' or 'texttalk' or something similar,
 et cetera

I've even been thinking about something like:
 'verify' or 'certificate' or a similar service 

[that points to a certificate or authenticator URI for non-repudiation of identity--but that's an enumservice for later]

Anyway, I think this matrix thread is the right discussion to have regarding schema. Are we to the point where each of the 3+ camps needs to (1) put forth specific schema proposals and (2) show the specific benefits of sticking to a single schema vs. using any and all comers? 

Perhaps that would be the main focus of our Yokohama meeting, since I detect that we aren't getting enough traction on the list itself on any specific direction other than the need for a sensible schema.

--Andy

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum